| AOMedia AV1 Codec

Av1DecodeReturn Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Decoder

Structure to collect a buffer index when inspecting. More...

`#include <aomdx.h>`

## Data Fields
const unsigned char * | buf
int | idx
int | show_existing

## Detailed Description

Structure to collect a buffer index when inspecting.

Defines a structure to hold the buffer and return an index when calling decode from inspect. This enables us to decode non showable sub frames.

## Field Documentation

## ◆ buf

const unsigned char* Av1DecodeReturn::buf

Pointer for new position in compressed buffer after decoding 1 OBU.

## ◆ idx

int Av1DecodeReturn::idx

Index into reference buffer array to see result of decoding 1 OBU.

## ◆ show_existing

int Av1DecodeReturn::show_existing

Is a show existing frame.

The documentation for this struct was generated from the following file:

- aom/aomdx.h